# curs_move 3x 2025-04-05 ncurses 6.6 Library calls

    curs_move(3x)                    Library calls                   curs_move(3x)

## NAME

           move, wmove - move cursor in a curses window

## SYNOPSIS

           #include <curses.h>

           int move(int y, int x);
           int wmove(WINDOW * win, int y, int x);

## DESCRIPTION

           wmove  relocates  the  cursor  associated with the curses window win to
           line y and column  x.   The  terminal's  cursor  does  not  move  until
           refresh(3x)  is  called.   The position (y, x) is relative to the upper
           left-hand corner of the window, which  has  coordinates  (0, 0).   move
           similarly moves the cursor in the stdscr window.

## RETURN VALUE

           These  functions  return OK on success and ERR on failure.  In ncurses,
           these functions fail if

           o   the curses screen has not been initialized,

           o   (for wmove) win is a null pointer, or

           o   the position (y, x) is outside the window boundaries.

## NOTES

           move may be implemented as a macro.

## PORTABILITY

           X/Open Curses Issue 4 describes these functions.  It specifies no error
           conditions for them.

           SVr4 describes a successful return value  only  as  "an  integer  value
           other than ERR".

## HISTORY

           4BSD (1980) introduced these functions.

## SEE ALSO

           curses(3x), curs_refresh(3x)

    ncurses 6.6                       2025-04-05                     curs_move(3x)